Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.client.keystone
Interface KeystoneConstants

    public interface KeystoneConstants

Field Summary
`static java.lang.String` | `AUTH_PASSWORD_DEFAULT`
`static java.lang.String` | `AUTH_PASSWORD_KEY`
`static java.lang.String` | `AUTH_SERVICE_DEFAULT`
`static java.lang.String` | `AUTH_SERVICE_KEY`
`static java.lang.String` | `AUTH_TENANT_ID_DEFAULT`
`static java.lang.String` | `AUTH_TENANT_ID_KEY`
`static java.lang.String` | `AUTH_TENANT_NAME_DEFAULT`
`static java.lang.String` | `AUTH_TENANT_NAME_KEY`
`static java.lang.String` | `AUTH_TOKEN_KEY`
`static java.lang.String` | `AUTH_URL_KEY`
`static java.lang.String` | `AUTH_USERNAME_DEFAULT`
`static java.lang.String` | `AUTH_USERNAME_KEY`
`static java.lang.String` | `AUTH_USERTOKEN_DEFAULT`
`static java.lang.String` | `AUTH_USERTOKEN_KEY`
`static java.lang.Integer` | `CONN_TIMEOUT_DEFAULT`
`static java.lang.String` | `CONN_TIMEOUT_KEY`
`static java.lang.String` | `STORAGE_URL_KEY`
`static java.lang.String` | `URL_DEFAULT`

Field Detail

### AUTH_URL_KEY

    static final java.lang.String AUTH_URL_KEY

See Also:
  Constant Field Values

### URL_DEFAULT

    static final java.lang.String URL_DEFAULT

See Also:
  Constant Field Values

### CONN_TIMEOUT_KEY

    static final java.lang.String CONN_TIMEOUT_KEY

See Also:
  Constant Field Values

### CONN_TIMEOUT_DEFAULT

    static final java.lang.Integer CONN_TIMEOUT_DEFAULT

### AUTH_TOKEN_KEY

    static final java.lang.String AUTH_TOKEN_KEY

See Also:
  Constant Field Values

### STORAGE_URL_KEY

    static final java.lang.String STORAGE_URL_KEY

See Also:
  Constant Field Values

### AUTH_USERNAME_KEY

    static final java.lang.String AUTH_USERNAME_KEY

See Also:
  Constant Field Values

### AUTH_USERNAME_DEFAULT

    static final java.lang.String AUTH_USERNAME_DEFAULT

See Also:
  Constant Field Values

### AUTH_PASSWORD_KEY

    static final java.lang.String AUTH_PASSWORD_KEY

See Also:
  Constant Field Values

### AUTH_PASSWORD_DEFAULT

    static final java.lang.String AUTH_PASSWORD_DEFAULT

See Also:
  Constant Field Values

### AUTH_USERTOKEN_KEY

    static final java.lang.String AUTH_USERTOKEN_KEY

See Also:
  Constant Field Values

### AUTH_USERTOKEN_DEFAULT

    static final java.lang.String AUTH_USERTOKEN_DEFAULT

See Also:
  Constant Field Values

### AUTH_TENANT_ID_KEY

    static final java.lang.String AUTH_TENANT_ID_KEY

See Also:
  Constant Field Values

### AUTH_TENANT_ID_DEFAULT

    static final java.lang.String AUTH_TENANT_ID_DEFAULT

See Also:
  Constant Field Values

### AUTH_TENANT_NAME_KEY

    static final java.lang.String AUTH_TENANT_NAME_KEY

See Also:
  Constant Field Values

### AUTH_TENANT_NAME_DEFAULT

    static final java.lang.String AUTH_TENANT_NAME_DEFAULT

See Also:
  Constant Field Values

### AUTH_SERVICE_KEY

    static final java.lang.String AUTH_SERVICE_KEY

See Also:
  Constant Field Values

### AUTH_SERVICE_DEFAULT

    static final java.lang.String AUTH_SERVICE_DEFAULT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD